org.freeplane.core.util

## Class LogUtils

- java.lang.Object
- - org.freeplane.core.util.LogUtils

-     public class LogUtils
      extends java.lang.Object

  Utilities for logging to the standard logfile.

  In scripts this class can be accessed via the "global" variable `logger`, so this is the way to log in scripts:

        try {
            logger.info("this node as date: " + node.to.date)
        } catch (Exception ex) {
            logger.severe('error on conversion of "' + node.text + '" to date', ex)
        }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `createLogger()`
    `static java.lang.String` | `getLogDirectory()`
    `static java.util.logging.Logger` | `getLogger()`
    `static void` | `info(java.lang.String string)`
    `static void` | `info(java.awt.datatransfer.Transferable t)`
    `static void` | `severe(java.lang.String message)`
    `static void` | `severe(java.lang.String comment, java.lang.Throwable e)`
    `static void` | `severe(java.lang.Throwable e)`
    `static void` | `warn(java.lang.String msg)`
    `static void` | `warn(java.lang.String comment, java.lang.Throwable e)`
    `static void` | `warn(java.lang.Throwable e)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LogUtils

          public LogUtils()

  - ### Method Detail

    - #### createLogger

          public static void createLogger()

    - #### getLogDirectory

          public static java.lang.String getLogDirectory()

    - #### info

          public static void info(java.lang.String string)

    - #### info

          public static void info(java.awt.datatransfer.Transferable t)

    - #### severe

          public static void severe(java.lang.String message)

    - #### severe

          public static void severe(java.lang.String comment,
                                    java.lang.Throwable e)

    - #### severe

          public static void severe(java.lang.Throwable e)

    - #### warn

          public static void warn(java.lang.String msg)

    - #### warn

          public static void warn(java.lang.String comment,
                                  java.lang.Throwable e)

    - #### warn

          public static void warn(java.lang.Throwable e)

    - #### getLogger

          public static java.util.logging.Logger getLogger()